## org.hibernate.sql
Class DecodeCaseFragment

    java.lang.Object
      org.hibernate.sql.CaseFragment
          org.hibernate.sql.DecodeCaseFragment

    public class DecodeCaseFragment

extends CaseFragment

An Oracle-style DECODE function.
`decode(pkvalue, key1, 1, key2, 2, ..., 0)`

Author:
  Simon Harris

Field Summary

Fields inherited from class org.hibernate.sql.CaseFragment
`cases, returnColumnName`

Constructor Summary
`DecodeCaseFragment()`

Method Summary
`String` `toFragmentString()`

Methods inherited from class org.hibernate.sql.CaseFragment
`addWhenColumnNotNull, setReturnColumnName, setReturnColumnName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecodeCaseFragment

    public DecodeCaseFragment()

Method Detail

### toFragmentString

    public String toFragmentString()

  Specified by:
    `toFragmentString` in class `CaseFragment`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.